#ifndef WINDOWMANAGER_H_
#define WINDOWMANAGER_H_

#include <list>
#include <gtk/gtk.h>
#include <gtk/gtkgl.h>
#include "Window.h"


class WindowManager {
  private:
    GdkGLConfig *glconfig;
    std::list<Window*> windows;
    
  public:
    WindowManager(GdkGLConfig *glconfig);
    virtual ~WindowManager();
    
    void run();
    
    void windowClosed(Window *window);
};

#endif /*WINDOWMANAGER_H_*/
